sharedBy {SLGI} | R Documentation

## Find the gene pairs that share a domain.

### Description

`sharedBy` finds whether the given domain is in each of the elements of the domain list.

### Usage

    sharedBy(domainL)

### Arguments

`domainL` | is a list, each element of the list is a vector of domains.

### Details

`sharedBy` first remove all the elements with length 0 or have value 'NA'. Then apply the reverseSplit on the remaining list.

### Value

A list with each element represent a domain, and the values of the element are the pairs that share this domain.

### Author(s)

Z. Jiang

### See Also

`reverseSplit`, `domainDist`, `getSharedDomains`

### Examples

    ## Load PFAM and SMART domains shared between Tong's Synthetic lethal data
    data(AtongFnDomain)
    ## Find pair that share identical domain
    sharedBy(AtongFnDomain$SharedPfam[1:20])

[Package SLGI version 1.4.0 Index]